netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
a2boot.c File Reference
`#include <sys/param.h>`
`#include <sys/types.h>`
`#include <sys/file.h>`
`#include <sys/uio.h>`
`#include <sys/ioctl.h>`
`#include <stdlib.h>`
`#include <unistd.h>`
`#include <netatalk/at.h>`
`#include <atalk/atp.h>`
`#include <atalk/nbp.h>`
`#include <errno.h>`
`#include <signal.h>`
`#include <atalk/logger.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <netdb.h>`
`#include <fcntl.h>`
`#include <termios.h>`

## Macros
#define | TL_OK '\0'
#define | TL_EOF '\1'

## Functions
long | a2bootreq (char *fname)
void | usage (char *p)
void | goaway (int signal)
int | main (int ac, char **av)

## Variables
int | debug = 0
char * | bad = "Bad request!"
char | buf [4624]
char * | server
int32_t | fileoff
static char * | version = VERSION

## Macro Definition Documentation

## ◆ TL_EOF

#define TL_EOF '\1'

## ◆ TL_OK

#define TL_OK '\0'

## Function Documentation

## ◆ a2bootreq()

long a2bootreq | ( | char * | fname | ) |

## ◆ goaway()

void goaway | ( | int | signal | ) |

Unregister ourself on signal.

## ◆ main()

int main | ( | int | ac,
|  | char ** | av )

## ◆ usage()

void usage | ( | char * | p | ) |

## Variable Documentation

## ◆ bad

char* bad = "Bad request!"

## ◆ buf

char buf[4624]

## ◆ debug

int debug = 0

## ◆ fileoff

int32_t fileoff

## ◆ server

char* server | ( | void |  | ) |

## ◆ version

char* version = VERSION
| static